Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040580
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2019-04-10 12:382019-05-21 15:16
ReportershuehnerView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revision4e9a59919638
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040580: AlertActionHandler.countActiveAlerts is not using bind-parameters

DescriptionThis code is not using bind-params:

    final String hql = "select distinct(e.alertRule)" + " from ADAlertRecipient"
        + " e where e.alertRule.active = true and (e.userContact.id= :userId "
        + " or (e.userContact.id = null and e.role.id = :roleId))"

        // select only those rules that are client/org visible from current role
        + " and e.alertRule.client.id " + OBDal.getInstance().getReadableClientsInClause()
        + " and e.alertRule.organization.id "
        + OBDal.getInstance().getReadableOrganizationsInClause();

Note: The 2 public OBDal utility methods invite doing that wrongly.
Probably we should deprecate them and fix up all users (i.e. ExternalOrderLoader also)
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks design defect 0038136 acknowledgedplatform Tracking issue: Find & Fix queries not using bind-params but embedding values into query string 
blocks design defect 0040591 closedalostale deprecate OBDal getReadableClientsInClause and getReadableOrganizationsInClause 
causes defect 0043579 closedalostale Alerts don't show in the main button, only in alert management window 

-  Notes
(0111072)
hgbot (developer)
2019-04-11 08:44

Repository: erp/devel/pi
Changeset: 4e9a59919638dbeb086e08446c1fe5cb2e6bf362
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Apr 11 08:28:42 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/4e9a59919638dbeb086e08446c1fe5cb2e6bf362 [^]

fixed bug 40580: used bind parameters in alert action handler and datasource

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/ADAlertDatasourceService.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/AlertActionHandler.java
---
(0111096)
caristu (developer)
2019-04-12 08:31

Reviewed
(0111966)
hudsonbot (developer)
2019-05-21 15:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-04-10 12:38 shuehner New Issue
2019-04-10 12:38 shuehner Assigned To => platform
2019-04-10 12:38 shuehner Modules => Core
2019-04-10 12:38 shuehner Triggers an Emergency Pack => No
2019-04-10 12:38 shuehner Relationship added blocks 0038136
2019-04-11 08:41 alostale Assigned To platform => alostale
2019-04-11 08:42 alostale Review Assigned To => caristu
2019-04-11 08:44 hgbot Checkin
2019-04-11 08:44 hgbot Note Added: 0111072
2019-04-11 08:44 hgbot Status new => resolved
2019-04-11 08:44 hgbot Resolution open => fixed
2019-04-11 08:44 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4e9a59919638dbeb086e08446c1fe5cb2e6bf362 [^]
2019-04-11 09:43 alostale Relationship added blocks 0040591
2019-04-12 08:31 caristu Note Added: 0111096
2019-04-12 08:32 caristu Status resolved => closed
2019-04-12 08:32 caristu Fixed in Version => 3.0PR19Q3
2019-05-21 15:16 hudsonbot Checkin
2019-05-21 15:16 hudsonbot Note Added: 0111966
2020-03-26 07:22 alostale Relationship added causes 0043579


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker